LSLOGINS(1)

BEZEICHNUNG
lslogins - Informationen zu bekannten Benutzern im System anzeigen

ÜBERSICHT

lslogins [Optionen] [-s|-u[=Benutzerkennung]] [-g Gruppen] [-l Anmeldungen] [Benutzername]

BESCHREIBUNG

Untersucht die wmtp- und btmp-Protokolle, /etc/shadow (falls nötig) und /etc/passwd und gibt die gewünschten Daten aus.

Das optionale Argument Benutzername zwingt lslogins, alle verfügbaren Details über nur den angegebenen Benutzer anzuzeigen. In diesem Fall ist das Ausgabeformat anders als bei -l oder -g und unbekannte Benutzernamen werden als Fehler gemeldet.

Die Vorgabeaktion ist die Auflistung von Informationen zu allen Benutzern im System.

OPTIONEN

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --acc-expiration
    zeigt Daten zum Zeitpunkt der letzten Passwortänderung und des Ablaufs des Kontos an (siehe shadow(5) für weitere Informationen). Dafür sind Root-Rechte erforderlich.

--btmp-file Pfad
    gibt einen alternativen Pfad für bmtp an.

-c, --colon-separate
    trennt die Informationen zu jedem Benutzer mittels Doppelpunkt anstatt Zeilenvorschub.

-e, --export
    gibt die Daten im Format NAME=WERT aus. Siehe auch die Option --shell.

-f, --failed
    zeigt Informationen zu den letzten fehlgeschlagenen Anmeldeversuchen des Benutzers an.

-G, --supp-groups
    zeigt Informationen zu ergänzenden Gruppen an.

-g, --groups Gruppen
    zeigt nur Daten von Benutzern an, die zu den angegebenen Gruppen gehören. Es kann mehr als eine Gruppe angegeben werden; die Listeneinträge müssen durch Kommata getrennt werden. Unbekannte Gruppennamen werden ignoriert.

    Beachten Sie, dass die Beziehung zwischen Benutzer und Gruppe für Primärgruppen nicht sichtbar sein kann, wenn der Benutzer nicht explizit als Gruppenmitglied eingetragen ist (zum Beispiel in /etc/group). Falls der Befehl lslogins nach Gruppen sucht, dann werden nur die Gruppendatenbanken verwendet und die Benutzerdatenbank mit der primären Gruppenkennung überhaupt nicht.

-L, --last
    zeigt Daten an, die Informationen zu den letzten Anmeldesitzungen des Benutzers enthalten.

-l, --logins Anmeldungen
    zeigt nur Daten von Benutzern mit einer in Anmeldungen angegebenen Anmeldung (Benutzernamen oder -kennungen). Es kann mehr als eine Anmeldung angegeben werden; die Listeneinträge müssen durch Kommata getrennt werden. Unbekannte Anmeldenamen werden ignoriert.

-n, --newline
    zeigt jeden Informationsteil in einer separaten Zeile an.

--noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

--notruncate
    kürzt die Ausgabe nicht.

-o, --output Liste
    gibt die auszugebenen Ausgabespalten an. Die Vorgabeliste der Spalten darf erweitert werden, falls Liste im Format +Liste angegeben ist.

--output-all
    gibt alle verfügbaren Spalten aus. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-p, --pwd
    zeigt Informationen zur Anmeldung per Passwort an (siehe auch -afL).

-r, --raw
    gibt Rohdaten aus (keine Formatierung in Spalten).

-s, --system-accs
    zeigt Systembenutzerkonten an. Dazu gehören standardmäßig alle Konten mit einer Benutzerkennung ab 101 bis einschließlich 999, mit den Ausnahmen »nobody« oder »nfsnobody« (Benutzerkennung 65534). Diese fest kodierte Standardeinstellung kann durch die Parameter SYS_UID_MIN und SYS_UID_MAX in der Datei /etc/login.defs außer Kraft gesetzt werden.

--time-format Typ
    zeigt Daten im Kurz-, Voll- oder ISO-Format an. Vorgabe ist das Kurzformat, welches sowohl platzsparend als auch menschenlesbar ist.

-u, --user-accs
    zeigt Benutzerkonten an. Dazu gehören standardmäßig alle Konten mit einer Benutzerkennung von 1000 oder größer, mit den Ausnahmen »nobody« oder »nfsnobody« (Benutzerkennung 65534). Diese fest kodierte Standardeinstellung kann durch die Parameter UID_MIN und UID_MAX in der Datei /etc/login.defs außer Kraft gesetzt werden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

--wtmp-file Pfad
    gibt einen alternativen Pfad für wmtp an.

--lastlog Pfad
    gibt einen alternativen Pfad für lastlog(8) an.

-y, --shell
    Der Spaltenname wird so geändert, dass er nur Zeichen enthält, die als Shell-Variablenbezeichner genutzt werden können. Dies ist beispielsweise nützlich mit --export. Beachten Sie, dass diese Funktion für --export in Version 2.37 automatisch aktiviert wurde, dass es nun aber aus Kompatibilitätsgründen erforderlich ist, dieses Verhalten durch --shell anzufordern.

-Z, --context
    zeigt den Sicherheitskontext des Benutzers an.

-z, --print0
    trennt Benutzereinträge mittels NUL-Zeichen anstatt Zeilenvorschub.

EXIT-STATUS

0
    wenn alles in Ordnung ist,

1
    falls inkorrekte Argumente angegeben wurden,

2
    falls ein ernstzunehmender Fehler auftritt (beispielsweise ein beschädigtes Protokoll).

ANMERKUNGEN

Die vorgegebenen Schwellwerte für Benutzerkennungen werden aus /etc/login.defs gelesen.

  Passwortstatus

Mehrere Felder beschreiben den Passwortstatus.

"Passwort ist gesperrt"
    Dem Passwort wird »!!« vorangestellt, so dass sich der Benutzer nicht anmelden kann, obwohl das Passwort gesetzt oder leer ist. Dies ist für neue Benutzerkonten üblich, für die noch kein Passwort gesetzt ist.

"Passwort ist nicht erforderlich (leer)"
    Das Passwort ist nicht gesetzt (Hash fehlt); dies ist bei gesperrten Systembenutzerkonten üblich. Dass kein Passwort erforderlich ist, bedeutet jedoch nicht, dass sich der Benutzer ohne Passwort anmelden kann. Es hängt vom Sperrstatus des Passworts ab.

"Anmeldung mit Passwort ist deaktiviert"
    »yes« bedeutet, dass es kein gültiges Passwort gibt. Der Passwort-Hash fehlt oder die Hash-Methode ist unbekannt oder enthält unzulässige Zeichen.

GESCHICHTE

Das Dienstprogramm lslogins wurde von logins inspiriert, welches zuerst in FreeBSD 4.10 erschien.

AUTOREN

SIEHE AUCH

group(5), passwd(5), shadow(5), utmp(5)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lslogins ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.